Update Label
curl --request PUT \
--url https://api.eflow.team/v1/networks/labels \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"label": "top-performer-v2",
"advertiser_ids": [
13,
26
],
"affiliate_ids": [
28,
35
],
"affiliate_tier_ids": [
3,
4
],
"campaign_ids": [],
"offer_group_ids": [
2
],
"offer_ids": [
1,
8,
11
]
}
'import requests
url = "https://api.eflow.team/v1/networks/labels"
payload = {
"label": "top-performer-v2",
"advertiser_ids": [13, 26],
"affiliate_ids": [28, 35],
"affiliate_tier_ids": [3, 4],
"campaign_ids": [],
"offer_group_ids": [2],
"offer_ids": [1, 8, 11]
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'top-performer-v2',
advertiser_ids: [13, 26],
affiliate_ids: [28, 35],
affiliate_tier_ids: [3, 4],
campaign_ids: [],
offer_group_ids: [2],
offer_ids: [1, 8, 11]
})
};
fetch('https://api.eflow.team/v1/networks/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true
}Labels
Update Label
PUT
/
networks
/
labels
Update Label
Update an existing label. Pass the current label value as the
old_label query parameter and provide the new label value and optional ID arrays in the request body.Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
The previous label value to update.
Body
application/json
The label you want to add.
Which advertisers will have the label.
Which affiliates will have the label.
Which campaigns will have the label.
Which offers will have the label.
Which offer groups will have the label.
Which affiliate tiers will have the label.
Response
200 - application/json
Whether the operation was successful.
Was this page helpful?
⌘I
